Productsup

Create an export template tag

An export template tag is metadata of an export template. This endpoint allows the creation of an export template tag.

POST
/V1/export-templates/{id}/export-template-tags

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-templates/string/export-template-tags" \  -H "Content-Type: application/json" \  -d '{    "key": "some key",    "value": "some value"  }'
{
  "data": {
    "id": 56125,
    "key": "some key",
    "value": "some value"
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "key": [
        "Invalid value provided. Expected type: string, actual type: null."
      ],
      "value": [
        "This field is missing."
      ]
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export template with id 123 not found."
  }
}